Skip site navigation (1) Skip section navigation (2)

Re: pgAgent usage string should be reviewed

From: "Dave Page" <dpage(at)vale-housing(dot)co(dot)uk>
To: "OpenMacNews" <OpenMacNews(at)speakeasy(dot)net>, Raphaël Enrici <blacknoz(at)club-internet(dot)fr>
Cc: "pgadmin-hackers" <pgadmin-hackers(at)postgresql(dot)org>
Subject: Re: pgAgent usage string should be reviewed
Date: 2005-05-22 15:47:25
Message-ID: E7F85A1B5FF8D44C8A1AF6885BC9A0E485075A@ratbert.vale-housing.co.uk (view raw or flat)
Thread:
Lists: pgadmin-hackers
Thanks Richard.

Functionality is still being worked on, but it seems to run SQL jobs OK so far.

/D


-----Original Message-----
From: pgadmin-hackers-owner(at)postgresql(dot)org on behalf of OpenMacNews
Sent: Sat 5/21/2005 10:28 PM
To: Raphaël Enrici
Cc: pgadmin-hackers
Subject: Re: [pgadmin-hackers] pgAgent usage string should be reviewed
 
hi raphael,

>> As an aside, you may have noticed that I've been working on
>> /xtra/pgagent/* recently - can you please take a look over the makefiles
>> under there and make sure the look OK (Florian in particular, for
>> obvious reasons)?
>
> At least it builds and installs here.
>
> ~$ pgagent
> Usage:
> pgAgent INSTALL [options] <connect-string>
> options:
> -t <poll time interval in seconds (default 10)>
> -r <retry period after connection abort in seconds (>=10, default 30)>
> -l <logging verbosity (ERROR=0, WARNING=1, DEBUG=2, default 0)>
>

since i'm already pokin' around in here ... fwiw, under OSX 10.4.1:

% ./pgAdmin3.app/Contents/MacOS/pgagent
    Usage:
    pgAgent INSTALL [options] <connect-string>
    options:
    -t <poll time interval in seconds (default 10)>
    -r <retry period after connection abort in seconds (>=10, default 30)>
    -l <logging verbosity (ERROR=0, WARNING=1, DEBUG=2, default 0)>

% ls -al ./pgAdmin3.app/Contents/MacOS/pgagent
    -rwxr-xr-x  1 root admin 324376 May 21 11:00 pgagent

% otool -L ./pgAdmin3.app/Contents/MacOS/pgagent
    pgagent:
            /usr/lib/libSystem.B.dylib (compatibility version 1.0.0, current
            version 88.0.0) /usr/local/ssl/lib/libssl.0.9.7.dylib
            (compatibility version 0.9.0, current version 0.9.7)
            /usr/local/ssl/lib/libcrypto.0.9.7.dylib (compatibility version
            0.9.0, current version 0.9.7) /usr/local/lib/libexpat.0.dylib
            (compatibility version 6.0.0, current version 6.0.0)
            /usr/local/lib/libpng.3.dylib (compatibility version 3.0.0, current
            version 3.0.0) /usr/local/lib/libjpeg.62.dylib (compatibility
            version 63.0.0, current version 63.0.0)
            /usr/local/lib/libtiff.3.dylib (compatibility version 11.0.0,
            current version 11.2.0) /usr/local/lib/libintl.3.dylib
            (compatibility version 8.0.0, current version 8.3.0)
            /usr/local/lib/libgettextlib-0.14.4.dylib (compatibility version
            0.0.0, current version 0.0.0) /usr/lib/libz.1.dylib (compatibility
            version 1.0.0, current version 1.2.2)
            /usr/local/pgsql/lib/libpq.4.dylib (compatibility version 4.0.0,
            current version 4.0.0)
            /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
            (compatibility version 1.0.0, current version 47.0.0)
            /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
            (compatibility version 1.0.0, current version 271.0.0)
            /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
            (compatibility version 2.0.0, current version 128.0.0)
            /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
            (compatibility version 1.0.0, current version 11.0.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_xrc-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_qa-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_html-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_adv-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_core-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_base_carbonu_xml-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_base_carbonu_net-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_base_carbonu-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_stc-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/local/wxwidgets_cvs_dyn/lib/libwx_macu_ogl-2.6.0.dylib
            (compatibility version 2.6.0, current version 2.6.0)
            /usr/lib/libstdc++.6.dylib (compatibility version 7.0.0, current
            version 7.3.0) /usr/lib/libgcc_s.1.dylib (compatibility version
            1.0.0, current version 1.0.0) /usr/lib/libmx.A.dylib (compatibility
            version 1.0.0, current version 92.0.0)


so, it seems the build (and hence the Makefile?) is OK ... as to fuction, i 
honestly dunno :-}

cheers,

richard

---------------------------(end of broadcast)---------------------------
TIP 4: Don't 'kill -9' the postmaster


pgadmin-hackers by date

Next:From: Dave PageDate: 2005-05-22 15:49:14
Subject: Re: pgAgent usage string should be reviewed
Previous:From: Raphaël EnriciDate: 2005-05-21 21:53:15
Subject: Re: 1.2.2 testing ==> [PROBLEM]

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group